# ParagraphConstraints class

Layout constraints for Paragraph objects.

Instances of this class are typically used with Paragraph.layout.

The only constraint that can be specified is the width. See the discussion at width for more details.

## Constructors

ParagraphConstraints({double width })
  Creates constraints for laying out a paragraph. [...]
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, override
width → double
  The width the paragraph should use whey computing the positions of glyphs. [...]
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  override